<div class="group-dropdown" [ngClass]="{'full-box': type === 'full-box'}">
  <div class="box-dropdown" (click)="$event.stopPropagation();showDropdownFunc($event)">
    <span class="name-lacation">{{selectOption}}</span>
    <a href="javascript:;" class="click-location">
      <img src="/assets/images/icon-down-arrow.svg" alt="image">
    </a>
  </div>
  <ul class="list-location" [perfectScrollbar]="{ suppressScrollY: false }">
    <li *ngFor="let item of data; let i = index" [ngClass]="{'active': item.name === selectOption}"
      (click)="selectItem(item)">
      <a href="javascript:;">{{item.name}}</a>
    </li>
  </ul>
  <!-- end/list location -->
</div>